<?php

namespace Nexus\Catalog\Model;

class CatalogProductLink extends \Magento\Framework\Model\AbstractModel
{
    const CACHE_TAG = 'catalogproductlink';

    protected $_cacheTag = 'catalogproductlink';

    protected $_eventPrefix = 'catalogproductlink';
	
	protected $_authSession;

	protected $_allowedBuildings;

    protected function _construct()
    {
        $this->_init('Nexus\Catalog\Model\ResourceModel\CatalogProductLink');
    }

    public function getIdentities()
    {
        return [self::CACHE_TAG . '_' . $this->getId()];
    }

    public function getDefaultValues()
    {
        $values = [];

        return $values;
    }
}
